gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.MenuComboToolbar.ImageMenuItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A menu item with an icon

Synopsis

- data ImageMenuItem
- class MenuItemClass o => ImageMenuItemClass o
- castToImageMenuItem :: GObjectClass obj => obj -> ImageMenuItem
- gTypeImageMenuItem :: GType
- toImageMenuItem :: ImageMenuItemClass o => o -> ImageMenuItem
- imageMenuItemNew :: IO ImageMenuItem
- imageMenuItemNewFromStock :: StockId -> IO ImageMenuItem
- imageMenuItemNewWithLabel :: String -> IO ImageMenuItem
- imageMenuItemNewWithMnemonic :: String -> IO ImageMenuItem
- imageMenuItemSetImage :: (ImageMenuItemClass self, WidgetClass image) => self -> image -> IO ()
- imageMenuItemGetImage :: ImageMenuItemClass self => self -> IO (Maybe Widget)
- imageMenuItemImage :: (ImageMenuItemClass self, WidgetClass image) => ReadWriteAttr self (Maybe Widget) image

# Detail

A `ImageMenuItem` is a menu item which has an icon next to the text label.

Note that the user can disable display of menu icons, so make sure to still fill in the text label.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Item
     | +----MenuItem
     | +----ImageMenuItem

# Types

data ImageMenuItem

class MenuItemClass o => ImageMenuItemClass o

castToImageMenuItem :: GObjectClass obj => obj -> ImageMenuItem

gTypeImageMenuItem :: GType

toImageMenuItem :: ImageMenuItemClass o => o -> ImageMenuItem

# Constructors

imageMenuItemNew :: IO ImageMenuItem

Creates a new `ImageMenuItem` with an empty label.

imageMenuItemNewFromStock

Arguments

:: StockId | `stockId` - the name of the stock item.
-> IO ImageMenuItem |

Creates a new `ImageMenuItem` containing the image and text from a stock item.

imageMenuItemNewWithLabel

Arguments

:: String | `label` - the text of the menu item.
-> IO ImageMenuItem |

Creates a new `ImageMenuItem` containing a label.

imageMenuItemNewWithMnemonic

Arguments

:: String | `label` - the text of the menu item, with an underscore in front of the mnemonic character
-> IO ImageMenuItem |

Creates a new `ImageMenuItem` containing a label. The label will be created using `Graphics.UI.Gtk.Display.Label.labelNewWithMnemonic`, so underscores in `label` indicate the mnemonic for the menu item.

# Methods

imageMenuItemSetImage

Arguments

:: (ImageMenuItemClass self, WidgetClass image) |
=> self |
-> image | `image` - a widget to set as the image for the menu item.
-> IO () |

Sets the image of the image menu item to the given widget. Note that it depends on the "show-menu-images" setting whether the image will be displayed or not.

imageMenuItemGetImage

Arguments

:: ImageMenuItemClass self |
=> self |
-> IO (Maybe Widget) | returns the widget set as image of or `Nothing` if none has been set.

Gets the widget that is currently set as the image. See `imageMenuItemSetImage`.

# Attributes

imageMenuItemImage :: (ImageMenuItemClass self, WidgetClass image) => ReadWriteAttr self (Maybe Widget) image

Child widget to appear next to the menu text.